Summary: Generic connection pool server for PostgreSQL
Summary(ja): PostgreSQLѤѥͥס륵
Name: pgpool
Version: 3.1
Release: 1vl1
Source0: pgpool-%{version}.tar.gz
Source1: rc.pgpool
Patch1: pgpool.conf.sample.patch
License: BSD
Group: Applications/Databases
Packager: Tatsuo Ishii <ishii@sraoss.co.jp>
URL: http://www2b.biglobe.ne.jp/~caco/pgpool/index.html
Buildroot: %{_tmppath}/%{name}-%{version}-root
Prereq: /sbin/chkconfig
Vendor: Project Vine
Distribution: Vine Linux


%description
pgpool is a generic connection pool server for PostgreSQL.
%description -l ja

pgpoolϡPostgreSQLѤѥͥס륵ФǤ
%prep
%setup -q
%patch1 -p0
%configure

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# startup script
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/pgpool

# configuration file
if [ ! -f $RPM_BUILD_ROOT/etc/pgpool.conf ]
then
    cp $RPM_BUILD_ROOT/etc/pgpool.conf.sample $RPM_BUILD_ROOT/etc/pgpool.conf
fi

%post
/sbin/chkconfig --add pgpool

%preun
if [ $1 = 0 ] ; then
    chkconfig --del pgpool
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS INSTALL README README.euc_jp COPYING ChangeLog NEWS TODO
%{_bindir}/pgpool
%{_sysconfdir}/pgpool.conf.sample
%config /etc/rc.d/init.d/pgpool
%config /etc/pgpool.conf

%changelog
* Sat Jul 1 2006 <ishii@sraoss.co.jp>
- version 3.1

* Wed May 17 2006 <ishii@sraoss.co.jp>
- version 3.0.2

* Tue Mar 01 2006 <ishii@sraoss.co.jp>
- version 3.0.1

* Tue Feb 07 2006 <ishii@sraoss.co.jp>
- version 3.0.0

* Thu Feb 02 2006 <ishii@sraoss.co.jp>
- version 2.7.2

* Tue Jan 16 2006 <ishii@sraoss.co.jp>
- version 2.7.1
- Fix bug in show pool_status for ignore_leading_white_space

* Tue Jan 3 2006 <ishii@sraoss.co.jp> 2.7-1vl1
- version 2.7
- add child_max_connections. contributed by Pomarede Nicolas with
  minor changes by Tatsuo
- add ignore_leading_white_space
- fix problem with copy on V2 protocol
- fix master/slave handling
- fix extended query

* Fri Nov 11 2005 <ishii@sraoss.co.jp> 2.6.5-1vl1
- version 2.6.5
- fix bug introduced in v2.6.4. V2 protocol/trust auth/first time
  connection causes error on connection.
- fix problem with DROP DATABASE. if pgpool has connected to the
  database which is about to dropped, the command fails.

* Fri Oct 22 2005 <ishii@sraoss.co.jp> 2.6.4-1vl1
- version 2.6.4
- fix connection error when client_min_message is verbose
- resync pool_config.c with pool_config.l

* Fri Sep 2 2005 <t-ishii@sra.co.jp> 2.6.3-1vl1
- version 2.6.3
- if invalid non-switch args are given (for example, pgpool -f
  pgpool.conf foobar), pgpool silently deleted pgpool.pid even if
  it's a valid one. Per report from Brad Nicholson.
- fix show pool_status command bug. Sometimes secondary host is
  showed "unused" even it is actually used.
- fix bug in health_check(). It made wrong reports if secondary
  goes down. Per report from Bunji Nagahasi.

* Sat Jul 30 2005 <t-ishii@sra.co.jp> 2.6.2-1vl1
- version 2.6.2
- fix file descriptor leak bug

* Mon Jul 18 2005 <t-ishii@sra.co.jp> 2.6.1-1vl1
- version 2.6.1
- set non blocking to sockets for frontend.
- remove stdio usage from pool_write/pool_flush. Stdio libs have
  fundanmental problems with non blocking sockets
- do not raise failover when read() read encounters EOF. It seems it
  is a oversight. Backend crush may cause that but it does not
  immediately mean postmaster crush
- retries with EINTR or EAGAIN in pool_stream modules

* Sat Jun 25 2005 <t-ishii@sra.co.jp> 2.6-1vl1
- version 2.6
- fix memory leak in pool_error()
- allow replication between servers which have different time zone
  etc.
- fix bug in pgpool -m f stop if pgpool stop has already issued
  but pgpool cannot stop.
- add new "insert_lock" directive which automatically insert table
  locks to allow SERIAL data type replication
- allow new "/*NO STRICT*/ comment to turn off the strict mode
  temporary
- add a row to pool_staus to display server status

* Sat Mar 12 2005 <t-ishii@sra.co.jp> 2.5.2b1-1vl1
- version 2.5.2
- fix bug in health checking
- strict mode is applied to non SELECT query only
- add -D_GNU_SOURCE to CPP flag

* Sun Feb 20 2005 <t-ishii@sra.co.jp> 2.5.1b1-1vl1
- version 2.5.1
- fix bug in heal checking
  - sometimes health checking period drifts
  - if health checking is intrrupted by SIGCHILD (this could
    happen, for exmaple, if child_life_time expires), unwanted
    failover happens
- accept fast/immediate shutdown request while blocking in smart
  shutdown
- use asprintf to avoid log output confusion (thanks to Jacques Caron)
- emit log when starting up
- make some logs from log level to debug level

* Wed Feb 2 2005 <t-ishii@sra.co.jp> 2.4-1vl1
- version 2.5
- add health checking
- add switch over
- add following to pgpool.conf
  - print_time_stamp
  - master_slave_mode
  - connection_cache
  - health_check_timeout
  - health_check_period
  - health_check_user

* Wed Jan 5 2005 t-ishii <t-ishii@sra.co.jp> 2.4-1vl1
- version 2.4
- add reset_query_list so that SQL commands to be issued at the
  end of sessions configurable
- update copyright years

* Wed Dec 14 2004 t-ishii <t-ishii@sra.co.jp> 2.3.3-1vl1
- version 2.3.3
- make signal handling more portable
- add health check when kind does match between master and secondary

* Fri Dec 08 2004 t-ishii <t-ishii@sra.co.jp> 2.3.2-1vl1
- version 2.3.2
- fix bug in degeneration when session is continued

* Fri Nov 12 2004 t-ishii <t-ishii@sra.co.jp> 2.3.1-1vl1
- version 2.3.1
- fix bug after degeneration
- fix bug in child expires its life time
- fix bug when envoked with -n and sent kill signal

* Fri Nov 5 2004 t-ishii <t-ishii@sra.co.jp> 2.3-1vl1
- version 2.3
- fix memory leak in handling startup packets
- implement child_life_time
- add -m option to pgpool stop mode to terminate pgpool in safe manner

* Thu Oct 28 2004 t-ishii <t-ishii@sra.co.jp> 2.2.1-1vl1
- version 2.2.1
- restart child process if one of them detects backend errors in
  single/connection pool mode. This will avoid annoying errors in
  case of postmaster restarting.
- fix bug in setting select()'s timeout parameter
- fix enbug in 2.2
- fix mishandling select()'s timeout parameters in emitting ERROR
  when select() fails
- fix comments in pgpool.conf.sample

* Thu Sep 30 2004 t-ishii <t-ishii@sra.co.jp> 2.2-1vl1
- version 2.2
- fix unexpected block when master or secondary receives shutdown request
- allow listen address and add new listen_address
  directive. contributed by Peter Eisentraut

* Mon Sep 13 2004 t-ishii <t-ishii@sra.co.jp> 2.1-1vl1
- version 2.1
- new conf param weight_master and weight_secondary
- use recent version of autoconf and automake

* Thu Sep 2 2004 t-ishii <t-ishii@sra.co.jp> 2.0.9-1vl1
- version 2.0.9
- use non block read() to be more reliable on heavy load
- fix compilar warning on Solaris

* Wed Aug 18 2004 t-ishii <t-ishii@sra.co.jp> 2.0.8-1vl1
- version 2.0.8
- fix segfault when connection pool timer expires (Thanks matsuu!)

* Fri Aug 13 2004 t-ishii <t-ishii@sra.co.jp> 2.0.7-1vl1
- version 2.0.7
- fix compiler warning on PPC architecutre (thanks Peter!)
- no need flex anymore while building pgpool
  (workaround is fix configure by hand. this is due to
  AM_PROG_LEX macro bug).
- fix compiler warning and segfault on FreeBSD 5.2.1+AMD64 (thanks Martin!)
- fix sigint handler in child

* Thu Jul 22 2004 t-ishii <t-ishii@sra.co.jp> 2.0.6-1vl1
- version 2.0.6
- workaorund with buggy 6.5's libpq
- fix enbug in 2.0.5(pool_read -> pool_read2)

* Mon Jul 19 2004 t-ishii <t-ishii@sra.co.jp> 2.0.5-1vl1
- version 2.0.5
- do not check NULLMAP when no replication mode
- fix lots of compiler warnings

* Sat Jul 17 2004 t-ishii <t-ishii@sra.co.jp> 2.0.4-1vl1
- version 2.0.4
- accept more connections than max_pool
- consider the case NULLMAP is different among master and secondary

* Mon Jul 12 2004 t-ishii <t-ishii@sra.co.jp> 2.0.3-1vl1
- version 2.0.3
- fix segfault when connection is reused (enbug in 2.0.2)
- fix wording in pgpool.conf.sample
  clear text password authentication on V3 and replication is true

* Sun Jul 4 2004 t-ishii <t-ishii@sra.co.jp> 2.0.2-1vl1
- version 2.0.2
- enhance error handling when frontend or backend failed
- change "log" -> "LOG" in pool_log()

* Thu Jul 1 2004 t-ishii <t-ishii@sra.co.jp> 2.0.1-1vl1
- version 2.0.1
- fix bug when backend_host_name is ''
- relax message length check in SimpleForwardToFrontend so that it
  allows rows order is physically different

* Fri Jun 22 2004 t-ishii <t-ishii@sra.co.jp> 2.0-1vl1
- version 2.0
- add load balancing capability
- prevent unwanted degeneration (V1.2 behavior can be possible
  using replication_stop_on_mismatch directive)
- fix bug in rc.pgpool

* Sun May 16 2004 t-ishii <t-ishii@sra.co.jp> 1.2.3-1vl1
- fix bug in FunctionCall() in replication mode

* Thu May 11 2004 t-ishii <t-ishii@sra.co.jp> 1.2.2-1vl1
- fix slowness when client is connected to pgpool via TCP

* Thu May 8 2004 t-ishii <t-ishii@sra.co.jp> 1.2.1-1vl1
- fix a bug when pool_read_string() reads large string
- remove unnecessary pool_write_and_flush() from AsciiRow() and BinaryRow()

* Thu May 6 2004 t-ishii <t-ishii@sra.co.jp> 1.2-1vl1
- fix a bug introduced by v1.1 which close listen fds accidently
- prevent buffer overflow by checking password string length
- do authentication even when connected by pooled connection
- send an end packet("X") before closing a connection to backend

* Thu Apr 29 2004 t-ishii <t-ishii@sra.co.jp> 1.1-1vl1
- update to 1.1
- fix bug when connection_life_time is not 0
- add support for clear text password/crypt/md5 authentication

* Fri Apr 23 2004 t-ishii <t-ishii@sra.co.jp> 1.0-1vl1
- initial release
